/**
 * $Id$
 *
 * Copyright (C) shinichiro.h <hamaji@nii.ac.jp>
 *  http://shinh.skr.jp/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "SDL.h"
#include "SDL_tex.h"

int main(int argc, char* argv[]) {
    SDL_Surface* s;
    int size;
    SDL_Surface* scr;
    SDL_Event ev;
    int done = 0;
    SDL_Color fg, bg;
    SDL_Rect dst;

    SDL_Init(SDL_INIT_VIDEO);

    if (argc == 1) {
        printf("Usage: %s formula [size]\n", argv[0]);
        return 0;
    }
    size = 2;
    if (argc >= 3) {
        size = atoi(argv[2]);
    }

    scr = SDL_SetVideoMode(300, 200, 32, SDL_SWSURFACE);

    fg.r = 255; fg.g = 255; fg.b = 255;
    bg.r = 0; bg.g = 0; bg.b = 0;
    s = SDLTex_Raster(argv[1], size, fg, bg);
    dst.x = 20; dst.y = 30;
    SDL_BlitSurface(s, NULL, scr, &dst);
    SDL_FreeSurface(s);

    fg.r = 255; fg.g = 255; fg.b = 0;
    s = SDLTex_RasterAA(argv[1], size, fg, bg);
    dst.x = 100; dst.y = 130;
    SDL_BlitSurface(s, NULL, scr, &dst);
    SDL_FreeSurface(s);

    SDL_UpdateRect(scr, 0,0,0,0);

    while (!done) {
        while (SDL_PollEvent(&ev)) {
            if (ev.type == SDL_QUIT) done = 1;
            if (ev.type == SDL_KEYDOWN) done = 1;
        }
    }

    SDL_SaveBMP(scr, "out.bmp");
}
